### Function

# Gdk ContentDeserializeFunc

since: 4.0

#### Declaration

    void
    (* GdkContentDeserializeFunc) (
      GdkContentDeserializer* deserializer
    )

#### Description [src]

The type of a function that can be registered with gdk_content_register_deserializer().

When the function gets called to operate on content, it can call functions on the `deserializer` object to obtain the mime type, input stream, user data, etc. for its operation.

Available since: 4.0

#### Parameters

`deserializer`

  Type: `GdkContentDeserializer`

  A `GdkContentDeserializer`

  The data is owned by the caller of the function.